Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
Class ClosureSourceBinding

author:
  Danno Ferrin

version:
  $Revision: 7802 $

since:
  Groovy 1.1

Field Summary
`def` | `arguments`
`Closure` | `closure`

Constructor Summary
`ClosureSourceBinding(Closure closure)`
`ClosureSourceBinding(Closure closure, def arguments)`

Method Summary
`Closure` | `getClosure()`
`Object` | `getSourceValue()`
`void` | `setClosure(Closure closure)`
`void` | `setClosureArgument(Object argument)`
`void` | `setClosureArguments(def arguments)`

Constructor Detail

### ClosureSourceBinding

    public ClosureSourceBinding(Closure closure)

### ClosureSourceBinding

    public ClosureSourceBinding(Closure closure, def arguments)

Method Detail

### getClosure

    public Closure getClosure()

### getSourceValue

    public Object getSourceValue()

### setClosure

    public void setClosure(Closure closure)

### setClosureArgument

    public void setClosureArgument(Object argument)

### setClosureArguments

    public void setClosureArguments(def arguments)